------------------------------------------------------------------------------
--
--  package Kalender (spec)
--
--  Tilbehr til pakken Ada.Calendar.
--
------------------------------------------------------------------------------
--  Update information:
--
--  1997.08.02-06 (Jacob Sparre Andersen)
--    Written.
--
--  (Insert additional update information above this line.)
------------------------------------------------------------------------------

------------------------------------------------------------------------------
--  Standardbiblioteker:

with Ada.Calendar;

------------------------------------------------------------------------------

package Kalender is

   ---------------------------------------------------------------------------
   --  function Date_Image:

   function Date_Image (Item : in     Ada.Calendar.Time) return String;

   ---------------------------------------------------------------------------
   --  function Date_Value:

   function Date_Value (Item : in     String) return Ada.Calendar.Time;

   ---------------------------------------------------------------------------
   --  function Time_Image:

   function Time_Image (Item : in     Ada.Calendar.Time) return String;

   ---------------------------------------------------------------------------
   --  function Duration_Image:

   function Duration_Image (Time      : in     Duration;
                            Hour      : in     String := "hour";
                            Hours     : in     String := "hours";
                            Minute    : in     String := "minute";
                            Minutes   : in     String := "minutes";
                            Second    : in     String := "second";
                            Seconds   : in     String := "seconds";
                            And_Text  : in     String := "and";
                            None_Text : in     String := "none")
     return String;

   ---------------------------------------------------------------------------

end Kalender;
