-- function Zero_Filled_Image (body)

------------------------------------------------------------------------------
-- Written 1996.04.05 by Jacob Sparre Andersen
--
--  1996.12.02 (Jacob Sparre Andersen)
--    Correcting some formal bugs.
--
-- (Add update information above this line.)
------------------------------------------------------------------------------

with Ada.Text_IO;

function Zero_Filled_Image (Item : in Num) return String is

   package Num_IO is new Ada.Text_IO.Integer_IO (Num => Num);

   Result : String(1 .. Width);

begin -- Zero_Filled_Image
   Num_IO.Put(To   => Result,
              Item => Item);

   for Index in Result'Range loop
      if Result(Index) = ' ' then
         Result(Index) := '0';
      end if;
   end loop;

   return Result;
end Zero_Filled_Image;
